Bug 1266327 - yum_update.sh fails due to incomplete --excludes list
yum_update.sh fails due to incomplete --excludes list
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity unspecified
: y1
: 7.0 (Kilo)
Assigned To: Steve Baker
Alexander Chuzhoy
: Triaged
Depends On:
Blocks: 1264203
  Show dependency treegraph
 
Reported: 2015-09-25 00:03 EDT by Steve Baker
Modified: 2015-10-08 08:19 EDT (History)
5 users (show)

See Also:
Fixed In Version: openstack-tripleo-heat-templates-0.8.6-70.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-08 08:19:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Baker 2015-09-25 00:03:34 EDT
jprovazn experienced the following while doing an openstack overcloud update:
http://paste.openstack.org/show/473919/

...
++ yum -y update --exclude libvirt-daemon-config-nwfilter --exclude libvirt-daemon-kvm --exclude net-snmp --exclude openstack-ceilometer-common --exclude openstack-ceilometer-compute --exclude openstack-neutron --exclude openstack-neutron-ml2 --exclude openstack-neutron-openvswitch --exclude openstack-nova-common --exclude openstack-nova-compute --exclude openvswitch --exclude pm-utils --exclude python-greenlet --exclude python-nova
Error: Package: libvirt-daemon-config-nwfilter-1.2.8-16.el7_1.4.x86_64 (@rhos-7.0-pmgr-rhel-7-signed)
           Requires: libvirt-daemon = 1.2.8-16.el7_1.4
           Removing: libvirt-daemon-1.2.8-16.el7_1.4.x86_64 (@rhos-7.0-pmgr-rhel-7-signed)
               libvirt-daemon = 1.2.8-16.el7_1.4
           Updated By: libvirt-daemon-1.2.17-9.el7.x86_64 (rhel-7-server-htb-rpms)
               libvirt-daemon = 1.2.17-9.el7
           Available: libvirt-daemon-1.1.1-29.el7.x86_64 (rhel-7-server-eus-rpms)
               libvirt-daemon = 1.1.1-29.el7
...
Comment 2 Steve Baker 2015-09-25 00:08:23 EDT
I think adding --skip-broken to the yum update command will do the job here. They will be "broken" due to the excludes, and the puppet package update will update those packages so everything will end up updated in the correct place.

I'll do this in the same change as the pacemaker package update fix https://code.engineering.redhat.com/gerrit/#/c/58013/
Comment 5 Alexander Chuzhoy 2015-10-01 11:30:09 EDT
Verified:

Environment:
openstack-tripleo-heat-templates-0.8.6-70.el7ost.noarch

"openstack overcloud update" completes successfully now:

...

IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
COMPLETE
update finished with status COMPLETE
Comment 7 Alexander Chuzhoy 2015-10-01 12:08:27 EDT
Verified:

Environment:
openstack-tripleo-heat-templates-0.8.6-70.el7ost.noarch

"openstack overcloud update" completes successfully now:

...

IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
COMPLETE
update finished with status COMPLETE
Comment 9 errata-xmlrpc 2015-10-08 08:19:47 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1862

Note You need to log in before you can comment on or make changes to this bug.